Validate an SSL certificate and key
PUT /api/validate_cert_key
PUT /api/validate_cert_keyInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Request Body
application/json
Response Body
application/json
application/json
curl -X PUT "$API_BASE_URL/api/validate_cert_key" \ -H "Content-Type: application/json" \ -d '{ "cert": "-----BEGIN CERTIFICATE-----\\n...\\n-----END CERTIFICATE-----", "key": "-----BEGIN PRIVATE KEY-----\\n...\\n-----END PRIVATE KEY-----" }'Successfully validated the SSL certificate and key pair.
{
"value": true
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
PUT /api/validate_cert_key
Validate an SSL certificate and key
Parameters
Request body
Content type: application/json
cert(string, required): The certificate in PEM format.key(string, required): The private key in PEM format.
Responses
200: Successfully validated the SSL certificate and key pair.- allOf variant 1
value(boolean, optional): If true, the SSL certificate and key are valid.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X PUT '$API_BASE_URL/api/validate_cert_key'